[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Bug#111532: octave2.1: cannot download package using apt-get on ppc

  "Daniel" == Daniel Jacobowitz <dan@debian.org> writes:
  Daniel>  On Thu, Sep 06, 2001 at 08:44:58PM -0500, Dirk Eddelbuettel wrote:
  Akmal> Package: octave2.1 Version: N/A Severity: normal
  Akmal> apt-get complains that there is no installation candidate. This

  Dirk> I know -- we need to get this compiled, but I need help from the
  Dirk> debian-powerpc crew for that.
  Dirk> You could also help. Are you comfortable compiling a local .deb
  Dirk> package?  I'd be happy to walk you through. Your success or failure
  Dirk> would help me in pressuring the Debian porting crew :)

  Daniel>  No, you don't.  Voltaire.debian.org is up again, as it almost
  Daniel> always is.  I'm glad to help if you need it, but rebuilds don't
  Daniel> need me :)

Ah. Will try.

  Daniel> As it is, you're stuck on atlas2-dev.  That's an unresolved issue.

No longer (see below), Camm invented the /nice/ scheme whereby we compile
against blas-dev which is available everywhere and provides basic
lin. algebra. Where available, atlas2 blas can be loaded instead. Works
wonders (minus a libc/ldconfig bug that upstream disagrees with). Same for
r-base which I also need recompiled (I did a few NMUs for Doug).


edd@sonny:~> grep Build-Depends debian/octave2.1-2.1.34/debian/control   
Build-Depends: debhelper, autoconf, tetex-bin, texinfo, g77 [!m68k], f2c \
[m68k], libreadline4-dev, libncurses5-dev, gperf, blas-dev (>= 1.0-9),   \
gnuplot, libhdf5-serial-dev [i386]

Our DSL access will be shut off September 10 due to the bankruptcy of Rhythms,
and the inability of Ameritech to respond in a timely fashion.  An optimistic
view is that we might be back online by the end of September.  --  Dirk

Reply to: